Loading...
Searching...
No Matches
gr::messages Namespace Reference

## Classes

class | msg_accepter
| Virtual base class that accepts messages. More...
class | msg_accepter_msgq
| Concrete class that accepts messages and inserts them into a message queue. More...
class | msg_producer
| Virtual base class that produces messages. More...
class | msg_queue
| thread-safe message queue More...

## Functions

static pmt::pmt_t | send (msg_accepter_sptr accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
static pmt::pmt_t | send (msg_accepter *accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
static pmt::pmt_t | send (msg_accepter &accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
static pmt::pmt_t | send (pmt::pmt_t accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
msg_queue_sptr | make_msg_queue (unsigned int limit=0)

## Function Documentation

## make_msg_queue()

msg_queue_sptr gr::messages::make_msg_queue | ( | unsigned int | limit = 0 | ) |

## send() [1/4]

pmt::pmt_t gr::messages::send | ( | msg_accepter & | accepter,
|  | const pmt::pmt_t & | which_port,
|  | const pmt::pmt_t & | msg )

inline static

send message to msg_accepter

Parameters

  accepter | is the target of the send.
  which_port | A pmt symbol describing the port by name.
  msg | is the message to send. It's usually a pmt tuple.

Sending a message is an asynchronous operation. The `send` call will not wait for the message either to arrive at the destination or to be received.

Returns
  msg

References gr::messages::msg_accepter::post().

## send() [2/4]

pmt::pmt_t gr::messages::send | ( | msg_accepter * | accepter,
|  | const pmt::pmt_t & | which_port,
|  | const pmt::pmt_t & | msg )

inline static

send message to msg_accepter

Parameters

  accepter | is the target of the send.
  which_port | A pmt symbol describing the port by name.
  msg | is the message to send. It's usually a pmt tuple.

Sending a message is an asynchronous operation. The `send` call will not wait for the message either to arrive at the destination or to be received.

Returns
  msg

References gr::messages::msg_accepter::post().

## send() [3/4]

pmt::pmt_t gr::messages::send | ( | msg_accepter_sptr | accepter,
|  | const pmt::pmt_t & | which_port,
|  | const pmt::pmt_t & | msg )

inline static

send message to msg_accepter

Parameters

  accepter | is the target of the send.
  which_port | A pmt symbol describing the port by name.
  msg | is the message to send. It's usually a pmt tuple.

Sending a message is an asynchronous operation. The `send` call will not wait for the message either to arrive at the destination or to be received.

Returns
  msg

References gr::messages::msg_accepter::post().

Referenced by send().

## send() [4/4]

pmt::pmt_t gr::messages::send | ( | pmt::pmt_t | accepter,
|  | const pmt::pmt_t & | which_port,
|  | const pmt::pmt_t & | msg )

inline static

send message to msg_accepter

Parameters

  accepter | is the target of the send. aprecond: pmt::is_msg_accepter(accepter)
  which_port | A pmt symbol describing the port by name.
  msg | is the message to send. It's usually a pmt tuple.

Sending a message is an asynchronous operation. The `send` call will not wait for the message either to arrive at the destination or to be received.

Returns
  msg

References pmt::msg_accepter_ref(), and send().